Subject: bug#23911: Cat broken pipe segmentation fault when building Guile

From: Andy Wingo <[email-masked]>
Date: Thu, 14 Jul 2016 12:11:30 +0200

On Wed 13 Jul 2016 22:45, "Stewart, Adam James" <[email-masked]> writes:

> I finally have success! I think the problem was that I was building
> guile, gettext, and libunistring with my own libiconv. When I stopped
> building with libiconv and just used the system version, everything
> worked. The build passes make check and make installcheck now.
>
> I'm not sure if there's a way for guile to detect whether or not
> libiconv is built properly. It would be nice if configure crashed with
> a useful error message instead of this core dump. But I'm satisfied
> now. Thanks for your help!

Yeah what a mess!  We have historically had problems making sure that
libunistring was compiled with iconv support, but I didn't hear about
this particular one.  Strange.  I guess I will close this one though :)

Cheers,

Andy